Name:           libXNVCtrl
Version:        435.17
Release:    1%{?dist}
Summary:        Library providing the NV-CONTROL API
License:        GPLv2+
URL:            https://download.nvidia.com/XFree86/nvidia-settings/
Source0:        %{url}/nvidia-settings-%{version}.tar.bz2
Patch0:         libxnvctrl_so_0.patch

BuildRequires: gcc
BuildRequires: make
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: hostname

Provides: nvidia-%{name} = 3:%{version}-100

%description
This packages contains the libXNVCtrl library from the nvidia-settings
application. This library provides the NV-CONTROL API for communicating with
the proprietary NVidia xorg driver. This package does not contain the
nvidia-settings tool itself as that is included with the proprietary drivers
themselves. 


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       libX11-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n nvidia-settings-%{version}


%build
%{set_build_flags}
%make_build \
   CC="%{__cc}" \
   NV_VERBOSE=1 \
   DO_STRIP=0 \
   STRIP_CMD=/dev/true \
   -C src/%{name} \
   libXNVCtrl.so


%install
pushd src/%{name}
install -m 0755 -d %{buildroot}%{_libdir}/
install -p -m 0755 libXNVCtrl.so.0.0.0    %{buildroot}%{_libdir}/
ln -s libXNVCtrl.so.0.0.0 %{buildroot}%{_libdir}/libXNVCtrl.so.0
ln -s libXNVCtrl.so.0 %{buildroot}%{_libdir}/libXNVCtrl.so
install -m 0755 -d %{buildroot}%{_includedir}/NVCtrl/
install -p -m 0644 {nv_control,NVCtrl,NVCtrlLib}.h %{buildroot}%{_includedir}/NVCtrl/
popd





%files
%license COPYING
%{_libdir}/%{name}.so.0*

%files devel
%doc doc/NV-CONTROL-API.txt doc/FRAMELOCK.txt
%{_includedir}/NVCtrl
%{_libdir}/%{name}.so


%changelog
* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 435.17-1
- initial build
